#ifndef ATL_sGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,144,360,720,864,1080,1440,2880
 * N : 25,144,360,720,864,1080,1440,2880
 * NB : 2,16,16,20,24,40,72,72
 */
#define ATL_sGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 84) (nb_) = 2; \
   else if ((n_) < 540) (nb_) = 16; \
   else if ((n_) < 792) (nb_) = 20; \
   else if ((n_) < 972) (nb_) = 24; \
   else if ((n_) < 1260) (nb_) = 40; \
   else (nb_) = 72; \
}


#endif    /* end ifndef ATL_sGetNB_geqrf */
